from portkey_ai import Portkey
# Initialize the Portkey client
portkey = Portkey(
api_key="PORTKEY_API_KEY",
)
# List users
users = portkey.admin.users.list()
print(users){
"total": 2,
"object": "list",
"data": [
{
"object": "user",
"id": "61e08f60-4822-465e-ba23-39f85cd741cb",
"first_name": "horace",
"last_name": "slughorn",
"role": "member",
"email": "horace.slughorn@example.com",
"created_at": "2024-01-25 11:35:07",
"last_updated_at": "2024-01-25 11:35:07"
}
]
}Retrieve all users
GET
/
admin
/
users
from portkey_ai import Portkey
# Initialize the Portkey client
portkey = Portkey(
api_key="PORTKEY_API_KEY",
)
# List users
users = portkey.admin.users.list()
print(users){
"total": 2,
"object": "list",
"data": [
{
"object": "user",
"id": "61e08f60-4822-465e-ba23-39f85cd741cb",
"first_name": "horace",
"last_name": "slughorn",
"role": "member",
"email": "horace.slughorn@example.com",
"created_at": "2024-01-25 11:35:07",
"last_updated_at": "2024-01-25 11:35:07"
}
]
}Documentation Index
Fetch the complete documentation index at: https://portkey-docs-feat-byteplus-provider.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Headers
Query Parameters
Available options:
admin, member, owner Last modified on May 24, 2026
Was this page helpful?
⌘I

